WordPress 4.9 将于11月14日发布 众多功能改进

作者: 小雨

   WordPress是由PHP语言开发的博客平台。使用WordPress,用户可以在支持PHP和MySQL数据库的服务器上架设属于自己的网站。WordPress也可以当作一个内容管理系统(CMS)来使用。

WordPress 4.9 将于11月14日发布 众多功能改进

  目前WordPress的最新版本是4.8.1维护版。不过WordPress今天宣布,WordPress 4.9 版本的开发已经于本月初展开,计划于10月初发布Beta 1测试版,并且在11月14日发布正式版。开发者Choyce公布了WP 4.9版本的开发目标。用户可以期待的是,现有的某些功能将会得到改进,一些长期期待的功能有望在这一版本中实现。

  WordPress 4.9版本开发目标:

  代码编辑改进:

  更好的代码编辑体验

  — 主题和插件编辑器

  — 自定义面板中的自定义 CSS

  — 自定义 HTML 小工具(挂件)

  更安全地文件编辑:

  — 代码变更检查工具:阻止保存(有错误或不规范的)代码,或者添加确认消息。

  — 在编辑主题和插件时(即使是非活动主题和插件),添加更好的警告信息。

  — 添加嵌套超过2层结构的文件

  自定义功能的改进:

  Changesets(插件)

  — 自定义面板中的草稿 Changesets;

  — 自定义面板中的排期 Changesets;

  首页设置

  相册小工具(挂件)

  在文本小工具(挂件)中添加媒体按钮

  更友好的主题切换:

  — 切换主题时更友好的小工具映射

  — 切换主题时更友好的菜单映射

  使用 .zip 压缩文件更新主题和插件:

  — 改进更新工具组件的维护工具

  — 同时,允许通过拖拽方式更新主题和插件

  媒体:

  — 自定义工具中图片降落区

  — 自定义工具侧边栏中的响应式图片

  — 不再强制用户剪切那些不需要剪切的图片

  REST API:

  — Gutenberg 所需要的 API endpoint

  — 评论将增加更多细节

  从WordPress 4.9的开发目标来看,这大部分功能还是非常值得期待的。比如,在主题和插件编辑器中支持超过2层的嵌套目录,可以更加方便地在后台编辑主题和插件。更加友好的警告,可以阻止用户在编辑主题和插件过程中出现细小的错误。

  WordPress 4.9的另一个目标,是通过代码高亮功能来改进代码编辑体验,这一功能也主要应用于主题和插件的编辑器中。目前在GitHub上有一个代码高亮插件,有可能会成为该功能的解决方案。

  自定义面板的改进,也是WordPress 4.9的关注点。同时,WordPress开发者还希望在切换主题过程中,为用户提供更加友好的小工具和菜单映射等。

网友评论